View Issue Details

IDProjectCategoryView StatusLast Update
0000020bareos-core[All Projects] Generalpublic2017-06-08 15:36
ReporterpstorzAssigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000020: Generate standard configurations for about 4 standard schemes.
DescriptionThe standard configuration files are not nicely preconfigured.

We should have standard configuration schemes that work out of the box for different scenarios.

Especially we need automatic usage of incremental, differential and full pools.

These scenarios should work out of the box, so that they only have to be parametrized with

- device names
- retention times
- mail addresses
- backup times (when should the backups be done)

An adequate backup scheme and automatic backup of the catalog db and sending the
bootstrap file to the administrator should be configured automatically.

Scenarios could be the following:

- Single Tape Drive (least important)
- Backup to Disk only.
- Backup to Autochanger only.
- Backup to Disk to Tape (With Copy Jobs)

Also, we should have intelligent standard filesets for Windows and Linux.

Afterwards, automatic recongnition of attached Tape Drives etc. could be implemented.

In the end, it should be possible to get the Bareos Installation Up and Running in some minutes.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

maik

maik

2012-12-10 14:35

administrator   ~0000015

I suggest that we concentrate on "backup to disk only" for the first release. Evaluate and test this one extensively.

This will work for most of the cases as entry.

We can add more for later releases or in between.
maik

maik

2013-01-14 09:41

administrator   ~0000045

Current default config takes /tmp als directory to store file storage.
On some linux distributions, /tmp gets cleaned with every reboot, some others do regulary purge old files there.

/tmp is not an appropriate location for backup files, should be moved somewhere below /var
maik

maik

2013-01-14 10:30

administrator   ~0000046

current default filest "Full Set" is only /usr/sbin

we should define a reasonable starting fileset, should at least contain /etc.
pstorz

pstorz

2013-02-23 08:40

administrator   ~0000149

Already started with a standard config for disk-only backup.
Its also in the git repo, but not tested yet.
joergs

joergs

2017-06-08 15:36

administrator   ~0002657

"Backup to Disk" is used as default. However, with the new configuration subdirectory structure, extra configuration can be included (or included as *.conf.example files)

Issue History

Date Modified Username Field Change
2012-12-10 14:29 pstorz New Issue
2012-12-10 14:35 maik Note Added: 0000015
2012-12-10 14:43 daniel Assigned To => daniel
2012-12-10 14:43 daniel Status new => assigned
2013-01-14 09:41 maik Note Added: 0000045
2013-01-14 10:30 maik Note Added: 0000046
2013-02-14 10:21 daniel Assigned To daniel => pstorz
2013-02-14 10:21 daniel Assigned To pstorz => daniel
2013-02-23 08:40 pstorz Assigned To daniel => pstorz
2013-02-23 08:40 pstorz Note Added: 0000149
2015-03-31 14:38 pstorz Status assigned => acknowledged
2015-03-31 14:57 mvwieringen Assigned To pstorz =>
2017-06-08 15:36 joergs bareos-master: impact => yes
2017-06-08 15:36 joergs bareos-master: action => fixed
2017-06-08 15:36 joergs bareos-16.2: impact => yes
2017-06-08 15:36 joergs bareos-16.2: action => fixed
2017-06-08 15:36 joergs Note Added: 0002657
2017-06-08 15:36 joergs Status acknowledged => closed
2017-06-08 15:36 joergs Resolution open => fixed